%global _python_bytecompile_extra 0

Name:           python-rpm-generators
Summary:        Dependency generators for Python RPMs
Group:		System/Packaging
Version:        11
Release:        %mkrel 4

# Originally all those files were part of RPM, so license is kept here
License:        GPLv2+
Url:            https://src.fedoraproject.org/python-rpm-generators
# Commit is the last change in following files
Source0:        https://raw.githubusercontent.com/rpm-software-management/rpm/102eab50b3d0d6546dfe082eac0ade21e6b3dbf1/COPYING
Source1:        python.attr
Source2:        pythondist.attr
Source3:        pythonname.attr
Source4:        pythondistdeps.py
Source5:        pythonbundles.py

Source10:	do-not-emit-rich-deps.patch

BuildArch:      noarch

%description
%{summary}.

%package -n     python3-rpm-generators
Summary:        %{summary}
Requires:       python3-setuptools
# We have parametric macro generators, we need RPM 4.16 (4.15.90+ is 4.16 alpha)
Requires:       rpm > 4.15.90-0
# We use %%python_provide
Requires:       python-rpm-macros

%description -n python3-rpm-generators
%{summary}.


%prep
%autosetup -c -T
cp -a %{sources} .

patch -p1 < %SOURCE10

%install
install -Dpm0644 -t %{buildroot}%{_fileattrsdir} *.attr
install -Dpm0755 -t %{buildroot}%{_rpmconfigdir} *.py

%files -n python3-rpm-generators
%license COPYING
%{_fileattrsdir}/python.attr
%{_fileattrsdir}/pythondist.attr
%{_fileattrsdir}/pythonname.attr
%{_rpmconfigdir}/pythondistdeps.py
%{_rpmconfigdir}/pythonbundles.py



%changelog
* Sat Oct 03 2020 tv <tv> 11-4.mga8
+ Revision: 1631929
- do not emit " or " rich deps
- pythondistdeps: Split Python Extras names after the rightmost plus sign
- pythondistdeps: Handle edge cases of version comparisons more closely to
  upstream, despite irrationality
  See: https://github.com/pypa/packaging/issues/320
- pythondistdeps: Implement provides/requires for extras packages
- Enable --require-extras-subpackages
- Adapt Python version marker workaround for setuptools 42+
- Fix python(abi) requires generator, it picked files from almost good directories
- Add a script to generate Python bundled provides

* Tue Apr 21 2020 tv <tv> 11-3.mga8
+ Revision: 1570229
- Handle all-zero versions without crashing

* Mon Apr 20 2020 tv <tv> 11-2.mga8
+ Revision: 1570107
- do not emit rich deps in all cases

* Fri Apr 17 2020 tv <tv> 11-1.mga8
+ Revision: 1568514
- do not emit rich deps

* Tue Apr 14 2020 tv <tv> 11-0.1.mga8
+ Revision: 1567317
- sync with FC:
  o Sync with upstream RPM dist generator
  o Rewrite python(abi) generators to Lua to make them faster
  o RPM 4.16+ is needed
+ wally <wally>
- non-bootstrap build for python3.8

* Tue Sep 03 2019 wally <wally> 4.14.2-7.mga8
+ Revision: 1436689
- bootstrap build for python3.8

* Fri Jan 04 2019 wally <wally> 4.14.2-6.mga7
+ Revision: 1349185
- disable bootstrap mode

* Fri Jan 04 2019 wally <wally> 4.14.2-5.mga7
+ Revision: 1349071
- enable bootstrap mode for python3.7 update

* Mon Sep 24 2018 tv <tv> 4.14.2-4.mga7
+ Revision: 1303666
- unset bootstrapping_python

* Mon Sep 24 2018 tv <tv> 4.14.2-3.mga7
+ Revision: 1303613
- set bootstrapping_python

* Thu Sep 20 2018 umeabot <umeabot> 4.14.2-2.mga7
+ Revision: 1290005
- Mageia 7 Mass Rebuild

* Sat Sep 15 2018 ngompa <ngompa> 4.14.2-1.mga7
+ Revision: 1259094
- Rebase to RPM version 4.14.2
- Drop all patches incorporated upstream
- Backport upstreamed pythondistdeps fileattr
- Refresh Mageia-specific patches

* Mon Aug 07 2017 ngompa <ngompa> 4.13.0.1-2.6.mga7
+ Revision: 1138203
- Enable pythondistdeps Requires generator

* Thu Aug 03 2017 philippem <philippem> 4.13.0.1-2.5.mga7
+ Revision: 1134396
- remove bootstrap

* Sat Jul 29 2017 philippem <philippem> 4.13.0.1-2.4.mga7
+ Revision: 1132451
- bootstraping for python 3.6.2
- we now have python 3.6.2

* Fri Jul 28 2017 philippem <philippem> 4.13.0.1-2.3.mga7
+ Revision: 1132087
- first step for Python 3.6.2

* Thu Jul 20 2017 tv <tv> 4.13.0.1-2.2.mga7
+ Revision: 1125489
- make conflict tag more strict

* Thu Jul 20 2017 tv <tv> 4.13.0.1-2.1.mga7
+ Revision: 1125471
- output legacy provides for compatibility for now
- use %%mkrel

* Thu Jul 20 2017 tv <tv> 4.13.0.1-2.mga7
+ Revision: 1125461
- imported package python-rpm-generators

